diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/model/openflow-interface.h ns-3.44/src/openflow/model/openflow-interface.h
--- ns-3.43/src/openflow/model/openflow-interface.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/model/openflow-interface.h	2025-03-09 16:55:49.683372300 -0700
@@ -95,8 +95,8 @@
 {
 
 /**
- * \ingroup openflow
- * \brief Port and its metadata.
+ * @ingroup openflow
+ * @brief Port and its metadata.
  *
  * We need to store port metadata, because OpenFlow dictates that there
  * exists a type of request where the Controller asks for data about a
@@ -130,7 +130,7 @@
 };
 
 /**
- * \ingroup openflow
+ * @ingroup openflow
  * OpenFlow statistics
  */
 class Stats
@@ -138,43 +138,43 @@
   public:
     /**
      * Constructor
-     * \param _type OpenFlow stats type.
-     * \param body_len Stat body length.
+     * @param _type OpenFlow stats type.
+     * @param body_len Stat body length.
      */
     Stats(ofp_stats_types _type, size_t body_len);
 
     /**
-     * \brief Prepares to dump some kind of statistics on the connected OpenFlowSwitchNetDevice.
+     * @brief Prepares to dump some kind of statistics on the connected OpenFlowSwitchNetDevice.
      *
-     * \param body Body member of the struct ofp_stats_request.
-     * \param body_len Length of the body member.
-     * \param state State information.
-     * \return 0 if successful, otherwise a negative error code.
+     * @param body Body member of the struct ofp_stats_request.
+     * @param body_len Length of the body member.
+     * @param state State information.
+     * @return 0 if successful, otherwise a negative error code.
      */
     int DoInit(const void* body, int body_len, void** state);
 
     /**
-     * \brief Appends statistics for OpenFlowSwitchNetDevice to 'buffer'.
+     * @brief Appends statistics for OpenFlowSwitchNetDevice to 'buffer'.
      *
-     * \param swtch The OpenFlowSwitchNetDevice this callback is associated with.
-     * \param state State information.
-     * \param buffer Buffer to append stats reply to.
-     * \return 1 if it should be called again later with another buffer, 0 if it is done, or a
+     * @param swtch The OpenFlowSwitchNetDevice this callback is associated with.
+     * @param state State information.
+     * @param buffer Buffer to append stats reply to.
+     * @return 1 if it should be called again later with another buffer, 0 if it is done, or a
      * negative errno value on failure.
      */
     int DoDump(Ptr<OpenFlowSwitchNetDevice> swtch, void* state, ofpbuf* buffer);
 
     /**
-     * \brief Cleans any state created by the init or dump functions.
+     * @brief Cleans any state created by the init or dump functions.
      *
      * May not be implemented if no cleanup is required.
      *
-     * \param state State information to clear.
+     * @param state State information to clear.
      */
     void DoCleanup(void* state);
 
     /**
-     * \brief State of the FlowStats request/reply.
+     * @brief State of the FlowStats request/reply.
      */
     struct FlowStatsState
     {
@@ -187,8 +187,8 @@
     };
 
     /**
-     * \ingroup openflow
-     * \brief State of the PortStats request/reply.
+     * @ingroup openflow
+     * @brief State of the PortStats request/reply.
      */
     struct PortStatsState
     {
@@ -200,19 +200,19 @@
   private:
     /**
      * Dumps the stats description
-     * \param [in] state The state.
-     * \param [out] buffer Output buffer.
-     * \return zero on success
+     * @param [in] state The state.
+     * @param [out] buffer Output buffer.
+     * @return zero on success
      */
     int DescStatsDump(void* state, ofpbuf* buffer);
 
     /**
      * @{
      * Initialize the stats.
-     * \param body Body member of the struct ofp_stats_request.
-     * \param body_len Length of the body member.
-     * \param state State information.
-     * \return 0 if successful, otherwise a negative error code.
+     * @param body Body member of the struct ofp_stats_request.
+     * @param body_len Length of the body member.
+     * @param state State information.
+     * @return 0 if successful, otherwise a negative error code.
      */
     int FlowStatsInit(const void* body, int body_len, void** state);
     int AggregateStatsInit(const void* body, int body_len, void** state);
@@ -227,10 +227,10 @@
     /**
      * @{
      * Dump the stats.
-     * \param dp OpenFlow NetDevice.
-     * \param state State.
-     * \param [out] buffer output buffer.
-     * \return 0 if successful
+     * @param dp OpenFlow NetDevice.
+     * @param state State.
+     * @param [out] buffer output buffer.
+     * @return 0 if successful
      */
     int FlowStatsDump(Ptr<OpenFlowSwitchNetDevice> dp, FlowStatsState* state, ofpbuf* buffer);
     int AggregateStatsDump(Ptr<OpenFlowSwitchNetDevice> dp,
@@ -243,25 +243,25 @@
 };
 
 /**
- * \ingroup openflow
- * \brief Class for handling flow table actions.
+ * @ingroup openflow
+ * @brief Class for handling flow table actions.
  */
 struct Action
 {
     /**
-     * \param type Type of Flow Table Action.
-     * \return true if the provided type is a type of flow table action.
+     * @param type Type of Flow Table Action.
+     * @return true if the provided type is a type of flow table action.
      */
     static bool IsValidType(ofp_action_type type);
 
     /**
-     * \brief Validates the action on whether its data is valid or not.
+     * @brief Validates the action on whether its data is valid or not.
      *
-     * \param type Type of action to validate.
-     * \param len Length of the action data.
-     * \param key Matching key for the flow that is tied to this action.
-     * \param ah Action's data header.
-     * \return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
+     * @param type Type of action to validate.
+     * @param len Length of the action data.
+     * @param key Matching key for the flow that is tied to this action.
+     * @param ah Action's data header.
+     * @return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
      */
     static uint16_t Validate(ofp_action_type type,
                              size_t len,
@@ -269,12 +269,12 @@
                              const ofp_action_header* ah);
 
     /**
-     * \brief Executes the action.
+     * @brief Executes the action.
      *
-     * \param type Type of action to execute.
-     * \param buffer Buffer of the Packet if it's needed for the action.
-     * \param key Matching key for the flow that is tied to this action.
-     * \param ah Action's data header.
+     * @param type Type of action to execute.
+     * @param buffer Buffer of the Packet if it's needed for the action.
+     * @param key Matching key for the flow that is tied to this action.
+     * @param ah Action's data header.
      */
     static void Execute(ofp_action_type type,
                         ofpbuf* buffer,
@@ -283,34 +283,34 @@
 };
 
 /**
- * \ingroup openflow
- * \brief Class for handling virtual port table actions.
+ * @ingroup openflow
+ * @brief Class for handling virtual port table actions.
  */
 struct VPortAction
 {
     /**
-     * \param type Type of virtual port table Action.
-     * \return true if the provided type is a type of virtual port table action.
+     * @param type Type of virtual port table Action.
+     * @return true if the provided type is a type of virtual port table action.
      */
     static bool IsValidType(ofp_vport_action_type type);
 
     /**
-     * \brief Validates the action on whether its data is valid or not.
+     * @brief Validates the action on whether its data is valid or not.
      *
-     * \param type Type of action to validate.
-     * \param len Length of the action data.
-     * \param ah Action's data header.
-     * \return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
+     * @param type Type of action to validate.
+     * @param len Length of the action data.
+     * @param ah Action's data header.
+     * @return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
      */
     static uint16_t Validate(ofp_vport_action_type type, size_t len, const ofp_action_header* ah);
 
     /**
-     * \brief Executes the action.
+     * @brief Executes the action.
      *
-     * \param type Type of action to execute.
-     * \param buffer Buffer of the Packet if it's needed for the action.
-     * \param key Matching key for the flow that is tied to this action.
-     * \param ah Action's data header.
+     * @param type Type of action to execute.
+     * @param buffer Buffer of the Packet if it's needed for the action.
+     * @param key Matching key for the flow that is tied to this action.
+     * @param ah Action's data header.
      */
     static void Execute(ofp_vport_action_type type,
                         ofpbuf* buffer,
@@ -319,33 +319,33 @@
 };
 
 /**
- * \ingroup openflow
- * \brief Class for handling Ericsson Vendor-defined actions.
+ * @ingroup openflow
+ * @brief Class for handling Ericsson Vendor-defined actions.
  */
 struct EricssonAction
 {
     /**
-     * \param type Type of Ericsson Vendor-defined Action.
-     * \return true if the provided type is a type of Ericsson Vendor-defined action.
+     * @param type Type of Ericsson Vendor-defined Action.
+     * @return true if the provided type is a type of Ericsson Vendor-defined action.
      */
     static bool IsValidType(er_action_type type);
 
     /**
-     * \brief Validates the action on whether its data is valid or not.
+     * @brief Validates the action on whether its data is valid or not.
      *
-     * \param type Type of action to validate.
-     * \param len Length of the action data.
-     * \return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
+     * @param type Type of action to validate.
+     * @param len Length of the action data.
+     * @return ACT_VALIDATION_OK if the action checks out, otherwise an error type.
      */
     static uint16_t Validate(er_action_type type, size_t len);
 
     /**
-     * \brief Executes the action.
+     * @brief Executes the action.
      *
-     * \param type Type of action to execute.
-     * \param buffer Buffer of the Packet if it's needed for the action.
-     * \param key Matching key for the flow that is tied to this action.
-     * \param ah Action's data header.
+     * @param type Type of action to execute.
+     * @param buffer Buffer of the Packet if it's needed for the action.
+     * @param key Matching key for the flow that is tied to this action.
+     * @param ah Action's data header.
      */
     static void Execute(er_action_type type,
                         ofpbuf* buffer,
@@ -354,8 +354,8 @@
 };
 
 /**
- * \ingroup openflow
- * \brief Callback for a stats dump request.
+ * @ingroup openflow
+ * @brief Callback for a stats dump request.
  */
 struct StatsDumpCallback
 {
@@ -367,8 +367,8 @@
 };
 
 /**
- * \ingroup openflow
- * \brief Packet Metadata, allows us to track the packet's metadata as it passes through the switch.
+ * @ingroup openflow
+ * @brief Packet Metadata, allows us to track the packet's metadata as it passes through the switch.
  */
 struct SwitchPacketMetadata
 {
@@ -380,8 +380,8 @@
 };
 
 /**
- * \ingroup openflow
- * \brief An interface for a Controller of OpenFlowSwitchNetDevices
+ * @ingroup openflow
+ * @brief An interface for a Controller of OpenFlowSwitchNetDevices
  *
  * Follows the OpenFlow specification for a controller.
  */
@@ -390,7 +390,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     /** Destructor. */
@@ -399,22 +399,22 @@
     /**
      * Adds a switch to the controller.
      *
-     * \param swtch The switch to register.
+     * @param swtch The switch to register.
      */
     virtual void AddSwitch(Ptr<OpenFlowSwitchNetDevice> swtch);
 
     /**
      * A switch calls this method to pass a message on to the Controller.
      *
-     * \param swtch The switch the message was received from.
-     * \param buffer The message.
+     * @param swtch The switch the message was received from.
+     * @param buffer The message.
      */
     virtual void ReceiveFromSwitch(Ptr<OpenFlowSwitchNetDevice> swtch, ofpbuf* buffer)
     {
     }
 
     /**
-     * \brief Starts a callback-based, reliable, possibly multi-message reply to a request made by
+     * @brief Starts a callback-based, reliable, possibly multi-message reply to a request made by
      * the controller.
      *
      * If an incoming request needs to have a reliable reply that might
@@ -429,7 +429,7 @@
      * generated by the switch, or otherwise the status reply messages will be sent
      * and discarded.
      *
-     * \param cb The callback data.
+     * @param cb The callback data.
      */
     void StartDump(StatsDumpCallback* cb);
 
@@ -438,9 +438,9 @@
      * However the controller is implemented, this method is to
      * be used to pass a message on to a switch.
      *
-     * \param swtch The switch to receive the message.
-     * \param msg The message to send.
-     * \param length The length of the message.
+     * @param swtch The switch to receive the message.
+     * @param msg The message to send.
+     * @param length The length of the message.
      */
     virtual void SendToSwitch(Ptr<OpenFlowSwitchNetDevice> swtch, void* msg, size_t length);
 
@@ -448,17 +448,17 @@
      * Construct flow data from a matching key to build a flow
      * entry for adding, modifying, or deleting a flow.
      *
-     * \param key The matching key data; used to create a flow that matches the packet.
-     * \param buffer_id The OpenFlow Buffer ID; used to run the actions on the packet if we add or
+     * @param key The matching key data; used to create a flow that matches the packet.
+     * @param buffer_id The OpenFlow Buffer ID; used to run the actions on the packet if we add or
      * modify the flow.
-     * \param command Whether to add, modify, or delete this flow.
-     * \param acts List of actions to execute.
-     * \param actions_len Length of the actions buffer.
-     * \param idle_timeout Flow expires if left inactive for this amount of time (specify
+     * @param command Whether to add, modify, or delete this flow.
+     * @param acts List of actions to execute.
+     * @param actions_len Length of the actions buffer.
+     * @param idle_timeout Flow expires if left inactive for this amount of time (specify
      * OFP_FLOW_PERMANENT to disable feature).
-     * \param hard_timeout Flow expires after this amount of time (specify OFP_FLOW_PERMANENT to
+     * @param hard_timeout Flow expires after this amount of time (specify OFP_FLOW_PERMANENT to
      * disable feature).
-     * \return Flow data that when passed to SetFlow will add, modify, or delete a flow it defines.
+     * @return Flow data that when passed to SetFlow will add, modify, or delete a flow it defines.
      */
     ofp_flow_mod* BuildFlow(sw_flow_key key,
                             uint32_t buffer_id,
@@ -472,8 +472,8 @@
      * Get the packet type on the buffer, which can then be used
      * to determine how to handle the buffer.
      *
-     * \param buffer The packet in OpenFlow buffer format.
-     * \return The packet type, as defined in the ofp_type struct.
+     * @param buffer The packet in OpenFlow buffer format.
+     * @return The packet type, as defined in the ofp_type struct.
      */
     uint8_t GetPacketType(ofpbuf* buffer);
 
@@ -483,7 +483,7 @@
 };
 
 /**
- * \ingroup openflow
+ * @ingroup openflow
  * Demonstration of a Drop controller. When a connected switch
  * passes it a packet the switch doesn't recognize, the controller
  * configures the switch to make a flow that drops alike packets.
@@ -493,7 +493,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -501,7 +501,7 @@
 };
 
 /**
- * \ingroup openflow
+ * @ingroup openflow
  * Demonstration of a Learning controller. When a connected switch
  * passes it a packet the switch doesn't recognize, the controller
  * delves into its learned states and figures out if we know what
@@ -513,7 +513,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -538,15 +538,15 @@
 };
 
 /**
- * \brief Executes a list of flow table actions.
+ * @brief Executes a list of flow table actions.
  *
- * \param swtch OpenFlowSwitchNetDevice these actions are being executed on.
- * \param packet_uid Packet UID; used to fetch the packet and its metadata.
- * \param buffer The Packet OpenFlow buffer.
- * \param key The matching key for the flow tied to this list of actions.
- * \param actions A buffer of actions.
- * \param actions_len Length of actions buffer.
- * \param ignore_no_fwd If true, during port forwarding actions, ports that are set to not forward
+ * @param swtch OpenFlowSwitchNetDevice these actions are being executed on.
+ * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+ * @param buffer The Packet OpenFlow buffer.
+ * @param key The matching key for the flow tied to this list of actions.
+ * @param actions A buffer of actions.
+ * @param actions_len Length of actions buffer.
+ * @param ignore_no_fwd If true, during port forwarding actions, ports that are set to not forward
  * are forced to forward.
  */
 void ExecuteActions(Ptr<OpenFlowSwitchNetDevice> swtch,
@@ -558,12 +558,12 @@
                     int ignore_no_fwd);
 
 /**
- * \brief Validates a list of flow table actions.
+ * @brief Validates a list of flow table actions.
  *
- * \param key The matching key for the flow tied to this list of actions.
- * \param actions A buffer of actions.
- * \param actions_len Length of actions buffer.
- * \return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
+ * @param key The matching key for the flow tied to this list of actions.
+ * @param actions A buffer of actions.
+ * @param actions_len Length of actions buffer.
+ * @return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
  * OFPET_BAD_ACTION error type is returned.
  */
 uint16_t ValidateActions(const sw_flow_key* key,
@@ -571,14 +571,14 @@
                          size_t actions_len);
 
 /**
- * \brief Executes a list of virtual port table entry actions.
+ * @brief Executes a list of virtual port table entry actions.
  *
- * \param swtch OpenFlowSwitchNetDevice these actions are being executed on.
- * \param packet_uid Packet UID; used to fetch the packet and its metadata.
- * \param buffer The Packet OpenFlow buffer.
- * \param key The matching key for the flow tied to this list of actions.
- * \param actions A buffer of actions.
- * \param actions_len Length of actions buffer.
+ * @param swtch OpenFlowSwitchNetDevice these actions are being executed on.
+ * @param packet_uid Packet UID; used to fetch the packet and its metadata.
+ * @param buffer The Packet OpenFlow buffer.
+ * @param key The matching key for the flow tied to this list of actions.
+ * @param actions A buffer of actions.
+ * @param actions_len Length of actions buffer.
  */
 void ExecuteVPortActions(Ptr<OpenFlowSwitchNetDevice> swtch,
                          uint64_t packet_uid,
@@ -588,31 +588,31 @@
                          size_t actions_len);
 
 /**
- * \brief Validates a list of virtual port table entry actions.
+ * @brief Validates a list of virtual port table entry actions.
  *
- * \param actions A buffer of actions.
- * \param actions_len Length of actions buffer.
- * \return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
+ * @param actions A buffer of actions.
+ * @param actions_len Length of actions buffer.
+ * @return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
  * OFPET_BAD_ACTION error type is returned.
  */
 uint16_t ValidateVPortActions(const ofp_action_header* actions, size_t actions_len);
 
 /**
- * \brief Executes a vendor-defined action.
+ * @brief Executes a vendor-defined action.
  *
- * \param buffer The Packet OpenFlow buffer.
- * \param key The matching key for the flow tied to this list of actions.
- * \param ah Header of the action.
+ * @param buffer The Packet OpenFlow buffer.
+ * @param key The matching key for the flow tied to this list of actions.
+ * @param ah Header of the action.
  */
 void ExecuteVendor(ofpbuf* buffer, const sw_flow_key* key, const ofp_action_header* ah);
 
 /**
- * \brief Validates a vendor-defined action.
+ * @brief Validates a vendor-defined action.
  *
- * \param key The matching key for the flow tied to this list of actions.
- * \param ah Header of the action.
- * \param len Length of the action.
- * \return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
+ * @param key The matching key for the flow tied to this list of actions.
+ * @param ah Header of the action.
+ * @param len Length of the action.
+ * @return If the action list validates, ACT_VALIDATION_OK is returned. Otherwise, a code for the
  * OFPET_BAD_ACTION error type is returned.
  */
 uint16_t ValidateVendor(const sw_flow_key* key, const ofp_action_header* ah, uint16_t len);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/openflow/model/openflow-switch-net-device.cc ns-3.44/src/openflow/model/openflow-switch-net-device.cc
--- ns-3.43/src/openflow/model/openflow-switch-net-device.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/openflow/model/openflow-switch-net-device.cc	2025-03-09 16:55:49.683372300 -0700
@@ -19,7 +19,7 @@
 /**
  * Generate an ID.
  *
- * \return Generated ID.
+ * @return Generated ID.
  */
 static uint64_t
 GenerateId()
@@ -898,7 +898,7 @@
     desc->config = htonl(p.config);
     desc->state = htonl(p.state);
 
-    /// \todo This should probably be fixed eventually to specify different available features.
+    /// @todo This should probably be fixed eventually to specify different available features.
     desc->curr = 0;       // htonl(netdev_get_features(p->netdev, NETDEV_FEAT_CURRENT));
     desc->supported = 0;  // htonl(netdev_get_features(p->netdev, NETDEV_FEAT_SUPPORTED));
     desc->advertised = 0; // htonl(netdev_get_features(p->netdev, NETDEV_FEAT_ADVERTISED));
@@ -1184,12 +1184,12 @@
             if ((opm->config & htonl(OFPPC_PORT_DOWN)) && (p.config & OFPPC_PORT_DOWN) == 0)
             {
                 p.config |= OFPPC_PORT_DOWN;
-                /// \todo Possibly disable the Port's Net Device via the appropriate interface.
+                /// @todo Possibly disable the Port's Net Device via the appropriate interface.
             }
             else if ((opm->config & htonl(OFPPC_PORT_DOWN)) == 0 && (p.config & OFPPC_PORT_DOWN))
             {
                 p.config &= ~OFPPC_PORT_DOWN;
-                /// \todo Possibly enable the Port's Net Device via the appropriate interface.
+                /// @todo Possibly enable the Port's Net Device via the appropriate interface.
             }
         }
     }
